﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Falcon.Extend;
using System;
using System.Collections.Generic;
using System.Text;

namespace Falcon.Extend.Tests
{
    [TestClass()]
    public class AESCryptoServiceTests
    {
        [TestMethod()]
        public void EncryptTest() {
            ICryptoService service = new AESCryptoService();
            var mw = new string[] { "abc","123","中文明文","中英文混编123abc","+-*/ _=-`~!@#$%^&*()" };
            var keys = new string[] { Guid.NewGuid().ToString("N"),"123","0123456789012345678901234567890123456789" };
            for(int i = 0;i < mw.Length;i++) {
                for(int y = 0;y < keys.Length;y++) {
                    var mwn = mw[i];
                    var k = keys[y];
                    var miw = service.Encrypt(mwn,k);
                    var mwn1 = service.Decrypt(miw,k);
                    Assert.AreEqual(mwn,mwn1,$"明文有变化{k}_{mwn}{mwn1}");
                }
            }
        }
    }
}